package com.jpsoft.shinestar.modules.workflow.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.shinestar.modules.workflow.entity.ProcinstActivity;
import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.common.dto.Sort;

public interface ProcinstActivityService {
	ProcinstActivity get(String id);
	boolean exist(String id);
	int insert(ProcinstActivity model);
	int update(ProcinstActivity model);
	int delete(String id);
	List<ProcinstActivity> list();
	Page<ProcinstActivity> pageSearch(Map<String, Object> searchParams,int pageNum,int pageSize,boolean count,List<Sort> sortList);
	Page<ProcinstActivity> searchRecode(Map<String, Object> searchParams,int pageNum,int pageSize,boolean count,List<Sort> sortList);

    List<ProcinstActivity> findByProcinstId(String procinstId);

    ProcinstActivity findByActivityIndexAndActivityId(int activityIndex, String activityId);

    List<ProcinstActivity> findProcinstIdAndAction(String procinstId, String action);

    ProcinstActivity findByActivityIndexAndProcinstId(int activityIndex, String procinstId);

    ProcinstActivity findProcinstIdAndStatus(String procinstId, String status);
}